diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedBoundary.h b/Modules/Segmentation/Watersheds/include/itkWatershedBoundary.h
index 9774817414..32a94151c0 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedBoundary.h
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedBoundary.h
@@ -23,7 +23,7 @@
 #include <vector>
 #include "itkImage.h"
 #include "itkProcessObject.h"
-#include "itksys/hash_map.hxx"
+#include <unordered_map>
 
 namespace itk
 {
@@ -50,27 +50,28 @@ namespace watershed
  * \ingroup WatershedSegmentation
  * \ingroup ITKWatersheds
  */
-template< typename TScalar, unsigned int TDimension >
-class ITK_TEMPLATE_EXPORT Boundary:public DataObject
+template <typename TScalar, unsigned int TDimension>
+class ITK_TEMPLATE_EXPORT Boundary : public DataObject
 {
 public:
   /** The dimensionality of this boundary.  For example, if the boundary
    * of a set of planes, it has dimensionality 2.  If the boundary is
    * a set of lines, it has dimensionality 1.  Dimensionality is one less
    * than the image chunks from which the boundary is derived.   */
-  itkStaticConstMacro(Dimension, unsigned int, TDimension);
+  static constexpr unsigned int Dimension = TDimension;
 
   /** A pair of values used to index into the boundary data structure.
    * The IndexType.first is the dimension of the face and IndexType.second is a
    * binary value 0 or 1 indicating the LOW face or the HIGH face,
    * respectively.    */
-  typedef std::pair< unsigned, unsigned >     IndexType;
-  typedef Image< IdentifierType, TDimension > ImageType;
-  typedef typename ImageType::IndexType       ImageIndexType;
-  typedef TScalar                             ScalarType;
+  using IndexType = std::pair<unsigned, unsigned>;
+  using ImageType = Image<IdentifierType, TDimension>;
+  using ImageIndexType = typename ImageType::IndexType;
+  using ScalarType = TScalar;
 
   /** Data type stored at each pixel in a face.   */
-  struct face_pixel_t {
+  struct face_pixel_t
+  {
     /**Index of the direction of watershed flow through this pixel.
      * A negative value indicates that the flow does not move out
      * of the region.  A positive value is the index into the
@@ -92,11 +93,12 @@ public:
   };
 
   /**    */
-  struct flat_region_t {
+  struct flat_region_t
+  {
     /** Indices into the associated Face containing boundary pixels.  These
      * give access to spatial information, label and flow associated with
      * this boundary pixel connection.     */
-    std::list< IdentifierType > offset_list;
+    std::list<IdentifierType> offset_list;
 
     /** The value of the lowest point (indicating the steepest descent) along
      * the boundary of the flat region of which this pixel is a member.     */
@@ -112,64 +114,102 @@ public:
 
   /** The face data structure.  This is just an Image of face pixel
       types. */
-  typedef Image< face_pixel_t, TDimension > face_t;
+  using face_t = Image<face_pixel_t, TDimension>;
 
   /** A hash table holding flat region data structures.   */
-  typedef itksys::hash_map< IdentifierType, flat_region_t,
-                            itksys::hash< IdentifierType > > flat_hash_t;
-  typedef typename flat_hash_t::value_type                   FlatHashValueType;
+  using flat_hash_t = std::unordered_map<IdentifierType, flat_region_t>;
+  using FlatHashValueType = typename flat_hash_t::value_type;
 
-  /** Itk typedefs and macros defining smart pointer and type identification.
+  /** Itk type alias and macros defining smart pointer and type identification.
    */
-  typedef Boundary                   Self;
-  typedef DataObject                 Superclass;
-  typedef SmartPointer< Self >       Pointer;
-  typedef SmartPointer< const Self > ConstPointer;
+  using Self = Boundary;
+  using Superclass = DataObject;
+  using Pointer = SmartPointer<Self>;
+  using ConstPointer = SmartPointer<const Self>;
   itkNewMacro(Self);
   itkTypeMacro(WatershedBoundary, DataObject);
 
   /** The following averts an internal compiler error on microsoft compilers */
-  typedef typename face_t::Pointer FacePointer;
+  using FacePointer = typename face_t::Pointer;
 
   /** Returns the face at the specified index  */
-  FacePointer GetFace(const IndexType & idx)
-  {      return this->GetFace(idx.first, idx.second);    }
+  FacePointer
+  GetFace(const IndexType & idx)
+  {
+    return this->GetFace(idx.first, idx.second);
+  }
 
   /** Returns the face at the specified index, where dimension is
    * the number of the axial dimension and highlow is 0 for the LOW
    * face and 1 for the HIGH face.   */
-  FacePointer GetFace(unsigned dimension, unsigned highlow)
+  FacePointer
+  GetFace(unsigned dimension, unsigned highlow)
   {
-    if ( highlow == 0 ) { return m_Faces[dimension].first; }
-    else { return m_Faces[dimension].second; }
+    if (highlow == 0)
+    {
+      return m_Faces[dimension].first;
+    }
+    else
+    {
+      return m_Faces[dimension].second;
+    }
   }
 
-  void SetFace(FacePointer f, const IndexType & idx)
-  { this->SetFace(f, idx.first, idx.second); }
+  void
+  SetFace(FacePointer f, const IndexType & idx)
+  {
+    this->SetFace(f, idx.first, idx.second);
+  }
 
-  void SetFace(FacePointer f, unsigned dimension, unsigned highlow)
+  void
+  SetFace(FacePointer f, unsigned dimension, unsigned highlow)
   {
-    if ( highlow == 0 ) { m_Faces[dimension].first = f; }
-    else { m_Faces[dimension].second = f; }
+    if (highlow == 0)
+    {
+      m_Faces[dimension].first = f;
+    }
+    else
+    {
+      m_Faces[dimension].second = f;
+    }
     this->Modified();
   }
 
   /** Get/Set the table of flat region connections specified by the index. */
-  flat_hash_t * GetFlatHash(const IndexType & idx)
-  { return this->GetFlatHash(idx.first, idx.second); }
-  flat_hash_t * GetFlatHash(unsigned dimension, unsigned highlow)
+  flat_hash_t *
+  GetFlatHash(const IndexType & idx)
+  {
+    return this->GetFlatHash(idx.first, idx.second);
+  }
+  flat_hash_t *
+  GetFlatHash(unsigned dimension, unsigned highlow)
   {
-    if ( highlow == 0 ) { return &( m_FlatHashes[dimension].first ); }
-    else { return &( m_FlatHashes[dimension].second ); }
+    if (highlow == 0)
+    {
+      return &(m_FlatHashes[dimension].first);
+    }
+    else
+    {
+      return &(m_FlatHashes[dimension].second);
+    }
   }
 
-  void SetFlatHash(flat_hash_t & l, const IndexType & idx)
-  { this->SetFlatHash(l, idx.first, idx.second); }
-  void SetFlatHash(flat_hash_t & l, unsigned dimension,
-                   unsigned highlow)
+  void
+  SetFlatHash(flat_hash_t & l, const IndexType & idx)
+  {
+    this->SetFlatHash(l, idx.first, idx.second);
+  }
+  void
+  SetFlatHash(flat_hash_t & l, unsigned dimension, unsigned highlow)
   {
-    if ( highlow == 0 ) { m_FlatHashes[dimension].first = l; }
-    else { m_FlatHashes[dimension].second = l; }
+    if (highlow == 0)
+    {
+      m_FlatHashes[dimension].first = l;
+    }
+    else
+    {
+      m_FlatHashes[dimension].second = l;
+    }
     this->Modified();
   }
 
@@ -177,47 +217,69 @@ public:
    * invalid (false).  A valid face is assumed to be initialized
    * and contain information.  No assumptions are made about an
    * invalid face.   */
-  void SetValid(bool & l, const IndexType & idx)
-  { this->SetValid(l, idx.first, idx.second); }
-  void SetValid(bool b, unsigned dimension,
-                unsigned highlow)
+  void
+  SetValid(bool & l, const IndexType & idx)
   {
-    if ( highlow == 0 ) { m_Valid[dimension].first = b; }
-    else { m_Valid[dimension].second = b; }
+    this->SetValid(l, idx.first, idx.second);
+  }
+  void
+  SetValid(bool b, unsigned dimension, unsigned highlow)
+  {
+    if (highlow == 0)
+    {
+      m_Valid[dimension].first = b;
+    }
+    else
+    {
+      m_Valid[dimension].second = b;
+    }
     this->Modified();
   }
 
-  bool GetValid(const IndexType & idx) const
-  { return this->GetValid(idx.first, idx.second); }
-  bool GetValid(unsigned dimension, unsigned highlow) const
+  bool
+  GetValid(const IndexType & idx) const
+  {
+    return this->GetValid(idx.first, idx.second);
+  }
+  bool
+  GetValid(unsigned dimension, unsigned highlow) const
   {
-    if ( highlow == 0 ) { return m_Valid[dimension].first; }
-    else { return m_Valid[dimension].second; }
+    if (highlow == 0)
+    {
+      return m_Valid[dimension].first;
+    }
+    else
+    {
+      return m_Valid[dimension].second;
+    }
   }
 
 protected:
   Boundary();
-  ~Boundary() ITK_OVERRIDE {}
+  ~Boundary() override = default;
   Boundary(const Self &) {}
-  void operator=(const Self &) {}
-  void PrintSelf(std::ostream & os, Indent indent) const ITK_OVERRIDE;
+  void
+  operator=(const Self &)
+  {}
+  void
+  PrintSelf(std::ostream & os, Indent indent) const override;
 
   /** The Nx2 matrix of faces of this boundary.   */
-  std::vector< std::pair< FacePointer, FacePointer > > m_Faces;
+  std::vector<std::pair<FacePointer, FacePointer>> m_Faces;
 
   /** The Nx2 matrix flat region connections associated with
    * this boundary.   */
-  std::vector< std::pair< flat_hash_t, flat_hash_t > > m_FlatHashes;
+  std::vector<std::pair<flat_hash_t, flat_hash_t>> m_FlatHashes;
 
   /** The Nx2 matrix of boolean flags indicating which faces contain
    * information.    */
-  std::vector< std::pair< bool, bool > > m_Valid;
+  std::vector<std::pair<bool, bool>> m_Valid;
 };
 } // end namespace watershed
 } // end namespace itk
 
 #ifndef ITK_MANUAL_INSTANTIATION
-#include "itkWatershedBoundary.hxx"
+#  include "itkWatershedBoundary.hxx"
 #endif
 
 #endif
diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedBoundary.hxx b/Modules/Segmentation/Watersheds/include/itkWatershedBoundary.hxx
index 84cb9daa19..45c4224dc2 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedBoundary.hxx
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedBoundary.hxx
@@ -26,21 +26,20 @@ namespace itk
 {
 namespace watershed
 {
-template< typename TScalar, unsigned int TDimension >
-Boundary< TScalar, TDimension >
-::Boundary()
+template <typename TScalar, unsigned int TDimension>
+Boundary<TScalar, TDimension>::Boundary()
 {
   unsigned int i;
   FacePointer  p;
   flat_hash_t  f;
 
-  std::pair< FacePointer, FacePointer > i_pair;
-  std::pair< flat_hash_t, flat_hash_t > c_pair;
-  std::pair< bool, bool >               v_pair;
+  std::pair<FacePointer, FacePointer> i_pair;
+  std::pair<flat_hash_t, flat_hash_t> c_pair;
+  std::pair<bool, bool>               v_pair;
 
   // Initialize all the members of the lists, etc.
-  for ( i = 0; i < Dimension; ++i )
-    {
+  for (i = 0; i < Dimension; ++i)
+  {
     p = face_t::New();
     i_pair.first = p;
     c_pair.first = flat_hash_t();
@@ -54,14 +53,15 @@ Boundary< TScalar, TDimension >
     m_Faces.push_back(i_pair);
     m_FlatHashes.push_back(c_pair);
     m_Valid.push_back(v_pair);
-    }
+  }
 }
 
-template< typename TScalar,  unsigned int TDimension >
+template <typename TScalar, unsigned int TDimension>
 void
-Boundary< TScalar, TDimension >
-::PrintSelf(std::ostream & os, Indent indent) const
-{  Superclass::PrintSelf(os, indent); }
+Boundary<TScalar, TDimension>::PrintSelf(std::ostream & os, Indent indent) const
+{
+  Superclass::PrintSelf(os, indent);
+}
 } // end namespace watershed
 } // end namespace itk
 #endif
diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedBoundaryResolver.h b/Modules/Segmentation/Watersheds/include/itkWatershedBoundaryResolver.h
index bca50e7ccf..c80be267c2 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedBoundaryResolver.h
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedBoundaryResolver.h
@@ -60,39 +60,51 @@ namespace watershed
  * \ingroup WatershedSegmentation
  * \ingroup ITKWatersheds
  */
-template< typename TPixelType, unsigned int TDimension >
-class ITK_TEMPLATE_EXPORT BoundaryResolver:public ProcessObject
+template <typename TPixelType, unsigned int TDimension>
+class ITK_TEMPLATE_EXPORT BoundaryResolver : public ProcessObject
 {
 public:
   /** Set up smart pointer and object factory definitions.   */
-  typedef BoundaryResolver           Self;
-  typedef ProcessObject              Superclass;
-  typedef SmartPointer< Self >       Pointer;
-  typedef SmartPointer< const Self > ConstPointer;
+  using Self = BoundaryResolver;
+  using Superclass = ProcessObject;
+  using Pointer = SmartPointer<Self>;
+  using ConstPointer = SmartPointer<const Self>;
   itkNewMacro(Self);
   itkTypeMacro(WatershedBoundaryResolver, ProcessObject);
 
   /** Expose the image dimension at run time. */
-  itkStaticConstMacro(ImageDimension, unsigned int, TDimension);
+  static constexpr unsigned int ImageDimension = TDimension;
 
-  /** Some convenient typedefs.   */
-  typedef TPixelType                                   PixelType;
-  typedef Boundary< PixelType, TDimension >            BoundaryType;
-  typedef EquivalencyTable                             EquivalencyTableType;
-  typedef Segmenter< Image< TPixelType, TDimension > > SegmenterType;
-  typedef DataObject::Pointer                          DataObjectPointer;
+  /** Some convenient type alias.   */
+  using PixelType = TPixelType;
+  using BoundaryType = Boundary<PixelType, TDimension>;
+  using EquivalencyTableType = EquivalencyTable;
+  using SegmenterType = Segmenter<Image<TPixelType, TDimension>>;
+  using DataObjectPointer = DataObject::Pointer;
 
   /** Set/Get the first of two boundaries that are to be resolved.   */
-  void SetBoundaryA(BoundaryType *bd)
-  { this->ProcessObject::SetNthInput(0, bd); }
-  typename BoundaryType::Pointer GetBoundaryA()
-  { return static_cast< BoundaryType * >( this->GetInput(0) );  }
+  void
+  SetBoundaryA(BoundaryType * bd)
+  {
+    this->ProcessObject::SetNthInput(0, bd);
+  }
+  typename BoundaryType::Pointer
+  GetBoundaryA()
+  {
+    return static_cast<BoundaryType *>(this->GetInput(0));
+  }
 
   /** Set/Get the second of two boundaries that are to be resolved.  */
-  void SetBoundaryB(BoundaryType *bd)
-  { this->ProcessObject::SetNthInput(1, bd); }
-  typename BoundaryType::Pointer GetBoundaryB()
-  { return static_cast< BoundaryType * >( this->GetInput(1) );  }
+  void
+  SetBoundaryB(BoundaryType * bd)
+  {
+    this->ProcessObject::SetNthInput(1, bd);
+  }
+  typename BoundaryType::Pointer
+  GetBoundaryB()
+  {
+    return static_cast<BoundaryType *>(this->GetInput(1));
+  }
 
   /**  Set/Get the face of the boundary object that we are going to
    *  resolve. */
@@ -102,45 +114,53 @@ public:
   /** This method sets/gets the equivalency table used to store equivalencies
    *  among segments that are generated from the boundary resolution
    *  algorithm.  */
-  void SetEquivalencyTable(EquivalencyTableType::Pointer a)
-  { this->ProcessObject::SetNthOutput( 0, a.GetPointer() ); }
-  EquivalencyTableType::Pointer GetEquivalencyTable()
+  void
+  SetEquivalencyTable(EquivalencyTableType::Pointer a)
   {
-    return static_cast< EquivalencyTableType * >
-           ( this->ProcessObject::GetOutput(0) );
+    this->ProcessObject::SetNthOutput(0, a.GetPointer());
+  }
+  EquivalencyTableType::Pointer
+  GetEquivalencyTable()
+  {
+    return static_cast<EquivalencyTableType *>(this->ProcessObject::GetOutput(0));
   }
 
   /** Standard non-threaded pipeline method */
-  void GenerateData() ITK_OVERRIDE;
+  void
+  GenerateData() override;
 
   /** Standard itk::ProcessObject subclass method. */
-  typedef ProcessObject::DataObjectPointerArraySizeType DataObjectPointerArraySizeType;
+  using DataObjectPointerArraySizeType = ProcessObject::DataObjectPointerArraySizeType;
   using Superclass::MakeOutput;
-  DataObjectPointer MakeOutput(DataObjectPointerArraySizeType idx) ITK_OVERRIDE;
+  DataObjectPointer
+  MakeOutput(DataObjectPointerArraySizeType idx) override;
 
 protected:
-  BoundaryResolver():m_Face(0)
+  BoundaryResolver()
   {
-    EquivalencyTable::Pointer eq =
-      static_cast< EquivalencyTable * >( this->MakeOutput(0).GetPointer() );
+    EquivalencyTable::Pointer eq = static_cast<EquivalencyTable *>(this->MakeOutput(0).GetPointer());
 
     this->SetNumberOfRequiredOutputs(1);
-    this->ProcessObject::SetNthOutput( 0, eq.GetPointer() );
+    this->ProcessObject::SetNthOutput(0, eq.GetPointer());
   }
 
-  ~BoundaryResolver() ITK_OVERRIDE {}
+  ~BoundaryResolver() override = default;
   BoundaryResolver(const Self &) {}
-  void operator=(const Self &) {}
-  void PrintSelf(std::ostream & os, Indent indent) const ITK_OVERRIDE;
-
-  unsigned short m_Face;
-  void GenerateOutputRequestedRegion(DataObject *output) ITK_OVERRIDE;
+  void
+  operator=(const Self &)
+  {}
+  void
+  PrintSelf(std::ostream & os, Indent indent) const override;
+
+  unsigned short m_Face{ 0 };
+  void
+  GenerateOutputRequestedRegion(DataObject * output) override;
 };
 } // end namespace watershed
 } // end namespace itk
 
 #ifndef ITK_MANUAL_INSTANTIATION
-#include "itkWatershedBoundaryResolver.hxx"
+#  include "itkWatershedBoundaryResolver.hxx"
 #endif
 
 #endif
diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedBoundaryResolver.hxx b/Modules/Segmentation/Watersheds/include/itkWatershedBoundaryResolver.hxx
index 41f397e996..32ea817739 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedBoundaryResolver.hxx
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedBoundaryResolver.hxx
@@ -25,9 +25,9 @@ namespace itk
 {
 namespace watershed
 {
-template< typename TPixelType, unsigned int TDimension >
-void BoundaryResolver< TPixelType, TDimension >
-::GenerateData()
+template <typename TPixelType, unsigned int TDimension>
+void
+BoundaryResolver<TPixelType, TDimension>::GenerateData()
 {
   //
   // NOTE: This method does not yet support arbitrary connectivity
@@ -35,7 +35,7 @@ void BoundaryResolver< TPixelType, TDimension >
   //       See itkWatershedSegmenter for details. City-block style connectivity
   //       is assumed (ie 4-, 6- for 2d, 3d). jc 11/14/01
   //
-  typedef typename BoundaryType::face_t FaceType;
+  using FaceType = typename BoundaryType::face_t;
   typename BoundaryType::IndexType idxA;
   typename BoundaryType::IndexType idxB;
 
@@ -46,8 +46,8 @@ void BoundaryResolver< TPixelType, TDimension >
 
   idxA.first = this->GetFace();
   idxB.first = this->GetFace();
-  idxA.second = 1;  // HIGH face matches
-  idxB.second = 0;  // the LOW face.
+  idxA.second = 1; // HIGH face matches
+  idxB.second = 0; // the LOW face.
 
   // Initialize current minLabel
   // Initialize the current boundsMin
@@ -68,23 +68,21 @@ void BoundaryResolver< TPixelType, TDimension >
   // This constructs equivalencies between both flat regions and
   // non-flat regions.
   //
-  ImageRegionIterator< FaceType > itA( boundaryA->GetFace(idxA),
-                                       boundaryA->GetFace(idxA)->GetRequestedRegion() );
+  ImageRegionIterator<FaceType> itA(boundaryA->GetFace(idxA), boundaryA->GetFace(idxA)->GetRequestedRegion());
 
-  ImageRegionIterator< FaceType > itB( boundaryB->GetFace(idxB),
-                                       boundaryB->GetFace(idxB)->GetRequestedRegion() );
+  ImageRegionIterator<FaceType> itB(boundaryB->GetFace(idxB), boundaryB->GetFace(idxB)->GetRequestedRegion());
 
-  for ( itA.GoToBegin(), itB.GoToBegin(); !itA.IsAtEnd(); ++itA, ++itB )
+  for (itA.GoToBegin(), itB.GoToBegin(); !itA.IsAtEnd(); ++itA, ++itB)
+  {
+    if (itA.Get().flow != SegmenterType::NULL_FLOW)
     {
-    if ( itA.Get().flow != SegmenterType::NULL_FLOW )
-      {
       equivTable->Add(itA.Get().label, itB.Get().label);
-      }
-    if ( itB.Get().flow != SegmenterType::NULL_FLOW )
-      {
+    }
+    if (itB.Get().flow != SegmenterType::NULL_FLOW)
+    {
       equivTable->Add(itA.Get().label, itB.Get().label);
-      }
     }
+  }
 
   equivTable->Flatten();
 }
@@ -92,23 +90,21 @@ void BoundaryResolver< TPixelType, TDimension >
 // ------------------------------------------------------------
 // --------------------PIPELINE METHODS------------------------
 // ------------------------------------------------------------
-template< typename TPixelType, unsigned int TDimension >
-void BoundaryResolver< TPixelType, TDimension >
-::GenerateOutputRequestedRegion(DataObject *)
+template <typename TPixelType, unsigned int TDimension>
+void
+BoundaryResolver<TPixelType, TDimension>::GenerateOutputRequestedRegion(DataObject *)
 {}
 
-template< typename TPixelType, unsigned int TDimension >
-typename BoundaryResolver< TPixelType, TDimension >::DataObjectPointer
-BoundaryResolver< TPixelType, TDimension >
-::MakeOutput(DataObjectPointerArraySizeType)
+template <typename TPixelType, unsigned int TDimension>
+typename BoundaryResolver<TPixelType, TDimension>::DataObjectPointer
+  BoundaryResolver<TPixelType, TDimension>::MakeOutput(DataObjectPointerArraySizeType)
 {
   return EquivalencyTable::New().GetPointer();
 }
 
-template< typename TPixelType, unsigned int TDimension >
+template <typename TPixelType, unsigned int TDimension>
 void
-BoundaryResolver< TPixelType, TDimension >
-::PrintSelf(std::ostream & os, Indent indent) const
+BoundaryResolver<TPixelType, TDimension>::PrintSelf(std::ostream & os, Indent indent) const
 {
   Superclass::PrintSelf(os, indent);
 
diff --git a/Modules/Segmentation/Watersheds/include/itkWatershedEquivalenceRelabeler.h b/Modules/Segmentation/Watersheds/include/itkWatershedEquivalenceRelabeler.h
index 6fcf219165..e6efe034c5 100644
--- a/Modules/Segmentation/Watersheds/include/itkWatershedEquivalenceRelabeler.h
+++ b/Modules/Segmentation/Watersheds/include/itkWatershedEquivalenceRelabeler.h
@@ -49,93 +49,103 @@ namespace watershed
  * \sa EquivalencyTable
  * \ingroup ITKWatersheds
  */
-template< typename TScalar, unsigned int TImageDimension >
-class ITK_TEMPLATE_EXPORT EquivalenceRelabeler:
-  public ProcessObject
+template <typename TScalar, unsigned int TImageDimension>
+class ITK_TEMPLATE_EXPORT EquivalenceRelabeler : public ProcessObject
 {
 public:
   /** Expose templated image dimension parameter at run time */
-  itkStaticConstMacro(ImageDimension, unsigned int, TImageDimension);
+  static constexpr unsigned int ImageDimension = TImageDimension;
 
-  /**  Some convenient typedefs.   */
-  typedef Image< IdentifierType, TImageDimension >          ImageType;
-  typedef EquivalenceRelabeler                              Self;
-  typedef ProcessObject                                     Superclass;
-  typedef TScalar                                           ScalarType;
-  typedef EquivalencyTable                                  EquivalencyTableType;
-  typedef Segmenter< Image< ScalarType, TImageDimension > > SegmenterType;
-  typedef DataObject::Pointer                               DataObjectPointer;
+  /**  Some convenient type alias.   */
+  using ImageType = Image<IdentifierType, TImageDimension>;
+  using Self = EquivalenceRelabeler;
+  using Superclass = ProcessObject;
+  using ScalarType = TScalar;
+  using EquivalencyTableType = EquivalencyTable;
+  using SegmenterType = Segmenter<Image<ScalarType, TImageDimension>>;
+  using DataObjectPointer = DataObject::Pointer;
 
   /**  Define smart pointers for this object.   */
-  typedef SmartPointer< Self >       Pointer;
-  typedef SmartPointer< const Self > ConstPointer;
+  using Pointer = SmartPointer<Self>;
+  using ConstPointer = SmartPointer<const Self>;
   itkNewMacro(Self);
   itkTypeMacro(WatershedEquivalenceRelabeler, ProcessObject);
 
   /** Set/Get the image to relabel.   */
-  void SetInputImage(ImageType *img)
-  { this->ProcessObject::SetNthInput(0, img); }
-  const ImageType * GetInputImage(void)
+  void
+  SetInputImage(ImageType * img)
   {
-    return static_cast< ImageType * >
-           ( this->ProcessObject::GetInput(0) );
+    this->ProcessObject::SetNthInput(0, img);
+  }
+  const ImageType *
+  GetInputImage()
+  {
+    return static_cast<ImageType *>(this->ProcessObject::GetInput(0));
   }
 
   /** Set/Get the output image */
-  void SetOutputImage(ImageType *img)
+  void
+  SetOutputImage(ImageType * img)
   {
     this->ProcessObject::SetNthOutput(0, img);
   }
 
-  typename ImageType::Pointer GetOutputImage()
+  typename ImageType::Pointer
+  GetOutputImage()
   {
-    return static_cast< ImageType * >
-           ( this->ProcessObject::GetOutput(0) );
+    return static_cast<ImageType *>(this->ProcessObject::GetOutput(0));
   }
 
   /** Set/Get the table to use in relabeling the input image.   */
-  void SetEquivalencyTable(EquivalencyTableType *et)
+  void
+  SetEquivalencyTable(EquivalencyTableType * et)
   {
     this->ProcessObject::SetNthInput(1, et);
   }
 
-  EquivalencyTableType::Pointer GetEquivalencyTable()
+  EquivalencyTableType::Pointer
+  GetEquivalencyTable()
   {
-    return static_cast< EquivalencyTableType * >
-           ( this->ProcessObject::GetInput(1) );
+    return static_cast<EquivalencyTableType *>(this->ProcessObject::GetInput(1));
   }
 
   /** Standard non-threaded pipeline method */
-  void GenerateData() ITK_OVERRIDE;
+  void
+  GenerateData() override;
 
   /** Standard itk::ProcessObject subclass method. */
-  typedef ProcessObject::DataObjectPointerArraySizeType DataObjectPointerArraySizeType;
+  using DataObjectPointerArraySizeType = ProcessObject::DataObjectPointerArraySizeType;
   using Superclass::MakeOutput;
-  DataObjectPointer MakeOutput(DataObjectPointerArraySizeType idx) ITK_OVERRIDE;
+  DataObjectPointer
+  MakeOutput(DataObjectPointerArraySizeType idx) override;
 
 protected:
   EquivalenceRelabeler()
   {
-    typename ImageType::Pointer img =
-      static_cast< ImageType * >( this->MakeOutput(0).GetPointer() );
+    typename ImageType::Pointer img = static_cast<ImageType *>(this->MakeOutput(0).GetPointer());
     this->SetNumberOfRequiredOutputs(1);
-    this->ProcessObject::SetNthOutput( 0, img.GetPointer() );
+    this->ProcessObject::SetNthOutput(0, img.GetPointer());
   }
 
-  ~EquivalenceRelabeler() ITK_OVERRIDE {}
+  ~EquivalenceRelabeler() override = default;
   EquivalenceRelabeler(const Self &) {}
-  void operator=(const Self &) {}
-  void PrintSelf(std::ostream & os, Indent indent) const ITK_OVERRIDE;
+  void
+  operator=(const Self &)
+  {}
+  void
+  PrintSelf(std::ostream & os, Indent indent) const override;
 
-  void GenerateOutputRequestedRegion(DataObject *output) ITK_OVERRIDE;
+  void
+  GenerateOutputRequestedRegion(DataObject * output) override;
 
-  void GenerateInputRequestedRegion() ITK_OVERRIDE;
+  void
+  GenerateInputRequestedRegion() override;
 };
 } // end namespace watershed
 } // end namespace itk
 
 #ifndef ITK_MANUAL_INSTANTIATION
-#include "itkWatershedEquivalenceRelabeler.hxx"
+#  include "itkWatershedEquivalenceRelabeler.hxx"
 #endif
 
 #endif
